/* provide a useless placeholder for now */

#ifndef _LINUX_FIRMWARE_H
#define _LINUX_FIRMWARE_H
#define FIRMWARE_NAME_MAX 30 

#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 5, 0)
#include <linux/device.h>
#endif

struct firmware {
	size_t size;
	u8 *data;
};

#if LINUX_VERSION_CODE >= KERNEL_VERSION(2, 5, 0)
static int request_firmware (const struct firmware **fw, const char *name,
			     struct device *device) {
#else
static int request_firmware (const struct firmware **fw, const char *name,
			     const char *device) {
#endif
	if(fw)
		*fw = NULL;
	return -ENOSYS;
}
/* For 2.5 'device' should be 'struct device *' */

static void release_firmware (const struct firmware *fw)
{};
static void register_firmware (const char *name, const u8 *data, size_t size)
{};

#endif
